/********************************************************************
 *       版权所有(C)2023，中国电子科技集团公司第五十研究所。        *
 *  文件名称: SpringContextUtil.java//文件名称
 *  文件标识: QN2.489.437
 *  内容摘要: 获取spring上下文//简要描述本文件的内容，包括主要模块、函数及其功能的说明
 *  其它说明: 无
 *  当前版本: V1.00.00
 *  作者: 张思湛 中国电子科技集团公司电子科学研究院
 *  完成日期: 2023年9月18日
 *  修改记录1:  // 修改历史记录，包括修改日期、修改者及修改内容
 * 修改日期:
 * 版本号:
 * 修改人:
 * 修改内容:
 *  修改记录2: ……
 ********************************************************************/
package com.example.aflnetcontrol.conf;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

@Component
public class SpringContextUtil implements ApplicationContextAware {
    private static ApplicationContext applicationContext;

    /********************************************************************
     *  函数名称: SpringContextUtil//函数名称
     *  功能描述: SpringContextUtil构造函数//函数功能、性能等的描述
     *  输入参数: 无//输入参数说明，包括每个参数的作用、取值说明及参数间关系
     *  输出参数: 无//对输出参数的说明
     *  返 回 值: 无//函数返回值的说明
     *  其它说明: 无//其它说明
     *  修改日期 		版本号		修改人	修改内容
     *--------------------------------------------------------------------
     *  2023/01/30	v1.00.00 	xoxxox	xoxxox
     ********************************************************************/
    public SpringContextUtil() {
    }

    /********************************************************************
     *  函数名称: setApplicationContext//函数名称
     *  功能描述: 设置Application上下文//函数功能、性能等的描述
     *  输入参数: 无//输入参数说明，包括每个参数的作用、取值说明及参数间关系
     *  输出参数: 无//对输出参数的说明
     *  返 回 值: 无//函数返回值的说明
     *  其它说明: 无//其它说明
     *  修改日期 		版本号		修改人	修改内容
     *--------------------------------------------------------------------
     *  2023/01/30	v1.00.00 	xoxxox	xoxxox
     ********************************************************************/
    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        if (SpringContextUtil.applicationContext == null) {
            SpringContextUtil.applicationContext = applicationContext;
        }

    }

    /********************************************************************
     *  函数名称: getBean//函数名称
     *  功能描述: 跟据bean名称获取bean//函数功能、性能等的描述
     *  输入参数: name是bean名称//输入参数说明，包括每个参数的作用、取值说明及参数间关系
     *  输出参数: 无//对输出参数的说明
     *  返 回 值: Object//函数返回值的说明
     *  其它说明: 无//其它说明
     *  修改日期 		版本号		修改人	修改内容
     *--------------------------------------------------------------------
     *  2023/01/30	v1.00.00 	xoxxox	xoxxox
     ********************************************************************/
    public static Object getBean(String name) {
        return applicationContext.getBean(name);
    }

    /********************************************************************
     *  函数名称: getBean//函数名称
     *  功能描述: 跟据bean类型获取bean//函数功能、性能等的描述
     *  输入参数: 无//输入参数说明，包括每个参数的作用、取值说明及参数间关系
     *  输出参数: 无//对输出参数的说明
     *  返 回 值: 无//函数返回值的说明
     *  其它说明: 无//其它说明
     *  修改日期 		版本号		修改人	修改内容
     *--------------------------------------------------------------------
     *  2023/01/30	v1.00.00 	xoxxox	xoxxox
     ********************************************************************/
    public static Object getBean(Class<?> requiredType) {
        return applicationContext.getBean(requiredType);
    }
}
